Bug 252129 - postgres logger and writer frequent wakeups
postgres logger and writer frequent wakeups
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
15
All Linux
low Severity low
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks: wakeup
  Show dependency treegraph
 
Reported: 2007-08-13 22:27 EDT by David Rees
Modified: 2013-07-02 23:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:42:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Rees 2007-08-13 22:27:19 EDT
Reporting as requested by
https://www.redhat.com/archives/fedora-devel-list/2007-August/msg00544.html

On an otherwise idle system, the postgres "logger process" is waking up once a
second and the postgres "writer process" wakes up 5 times a second so postgres
wakes up at least 6 times a second by default.

You can slow down the writer process by tweaking the bgwriter_delay setting
(default is 200ms, perhaps it should be larger for your typical system?)

A quick perusal of the docs doesn't reveal how to modify the wakeup interval of
the logger process, but I may have missed it.
Comment 1 Tom Lane 2007-08-13 23:31:32 EDT
This is unlikely to change ... the upstream Postgres project's goals do not include zeroing out CPU cycles, 
and I'm not about to try to make the Fedora edition be optimized differently.  There is some marginal 
interest in not waking up the hard drive unnecessarily, but you have not stated that that's happening.
Comment 2 Arjan van de Ven 2007-08-14 01:25:44 EDT
I would hope the upstream postgres project goals include datacenter
suitability.. by wasting electricity this way.... it's not ;)

(this isn't about cpu cycles. this is about electricity)
Comment 3 William Lovaton 2007-09-30 20:21:51 EDT
I guess this is the same bug I am seeing.  On an updated Rawhide system,
postmaster process is waking up the cpu 6.5 times per second:
48,9% (  6,5)        postmaster : schedule_timeout (process_timeout)

In my case this is the worst offender on an otherwise quiet system running a
Gnome session.  The next offender is the kernel with 2 wps:
15,0% (  2,0)     <kernel core> : clocksource_register (clocksource_watchdog)

Is there something that can be done to solve this?  I took a quick look on the
postgres web site but I didn't find a bugzilla to reference this bug.  I'll try
IRC later.

I agree with Arjan, this is something that should be one of the goals of the
postgres project.  I think that in a not too distant future this will be an
important selling point.
Comment 4 Bug Zapper 2008-05-14 09:58:13 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 David Rees 2008-05-14 14:11:40 EDT
This is still affects all versions of Postgres - updating version from 7 to 9 to
keep it from being closed with F7 bugs.
Comment 6 Bug Zapper 2009-06-09 18:45:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-03-15 07:52:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-02 14:39:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Tom Lane 2011-06-02 15:18:26 EDT
As a note, this issue *is* being looked at upstream, and I hope to see some real progress in Postgres 9.2 or so.
Comment 10 David Rees 2011-06-02 15:30:00 EDT
Thanks for the update, Tom - moving version to F15 (last version I've seen the issue) since the earliest we might see this fix is in F16.

Is there an upstream ticket for this?  Happy to close this here and mark it upstream.
Comment 11 Tom Lane 2011-06-02 15:58:52 EDT
Given the upstream release schedule, F18 is more likely :-(

Upstream doesn't use a formal bug ticketing mechanism, but the first piece of the fix is being tracked here:
https://commitfest.postgresql.org/action/patch_view?id=560
Comment 12 Fedora End Of Life 2012-08-07 15:43:02 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.